
QGIS Application - Bug report #6404

Too many layers -> unknown exception

2012-09-24 07:09 PM - Michael Porath

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:1.8.0 Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 15657

Description

Relates to issue 4013.

#4013

Project has about 85 vector layers (from the filesystem). When trying to add a new layer from the filesystem (Clicking "Browse" in the "Add

Vector Layer" -> Source -> Dataset dialog) QGIS crashes with the following stack trace:

Thread 0:: Dispatch queue: com.apple.main-thread

0   QtCore                            0x0000000104985a33 qMemEquals(unsigned short const*, unsigned short const*, int) + 19

1   QtCore                            0x000000010498d603 QString::startsWith(QString const&, Qt::CaseSensitivity) const + 547

2   QtGui                             0x000000010535bbcf QUnsortedModelEngine::buildIndices(QString const&, QModelIndex const&, int,

QIndexMapper const&, QMatchData*) + 367

3   QtGui                             0x0000000105361c23 QUnsortedModelEngine::filter(QString const&, QModelIndex const&, int) + 1779

4   QtGui                             0x000000010535ca9f QCompletionEngine::filter(QStringList const&) + 751

5   QtGui                             0x000000010535cfa7 QCompletionModel::filter(QStringList const&) + 23

6   QtGui                             0x000000010535d060 QCompleter::setCompletionPrefix(QString const&) + 80

7   QtGui                             0x00000001051b1aff QFileDialog::setDirectory(QString const&) + 991

8   QtGui                             0x00000001051b3405 QFileDialog::restoreState(QByteArray const&) + 965

9   QtGui                             0x00000001051b9f72 QFileDialogPrivate::init(QString const&, QString const&, QString const&) + 466

10  QtGui                             0x00000001051ba54d QFileDialog::QFileDialog(QFileDialogArgs const&) + 125

11  QtGui                             0x00000001051bbd27 QFileDialog::getOpenFileNames(QWidget*, QString const&, QString const&, QString

const&, QString*, QFlags<QFileDialog::Option>) + 327

12  org.qgis.qgis_gui                 0x00000001041f2a61 QgisGui::openFilesRememberingFilter(QString const&, QString const&,

QStringList&, QString&, QString&, bool) + 466

13  org.qgis.qgis                     0x0000000100214b24 QgsOpenVectorLayerDialog::openFile() + 126

14  org.qgis.qgis                     0x00000001002163d4 QgsOpenVectorLayerDialog::on_buttonSelectSrc_clicked() + 52

15  org.qgis.qgis                     0x0000000100256437 QgsOpenVectorLayerDialog::qt_metacall(QMetaObject::Call, int, void**) + 65

16  QtCore                            0x0000000104a62476 QMetaObject::activate(QObject*, QMetaObject const*, int, void**) + 2150

17  QtGui                             0x0000000105381451 QAbstractButton::clicked(bool) + 49

18  QtGui                             0x00000001050a40d0 QAbstractButtonPrivate::emitClicked() + 64

19  QtGui                             0x00000001050a530a QAbstractButtonPrivate::click() + 154

20  QtGui                             0x00000001050a5561 QAbstractButton::mouseReleaseEvent(QMouseEvent*) + 113

21  QtGui                             0x0000000104d59651 QWidget::event(QEvent*) + 2369

22  QtGui                             0x00000001050a4358 QAbstractButton::event(QEvent*) + 40

23  QtGui                             0x000000010513fd55 QPushButton::event(QEvent*) + 69

24  QtGui                             0x0000000104d0193d QApplicationPrivate::notify_helper(QObject*, QEvent*) + 189

25  QtGui                             0x0000000104d082f0 QApplication::notify(QObject*, QEvent*) + 2384

26  org.qgis.qgis_core                0x0000000103da0762 QgsApplication::notify(QObject*, QEvent*) + 100

27  QtCore                            0x0000000104a4a17c QCoreApplication::notifyInternal(QObject*, QEvent*) + 124

28  QtGui                             0x0000000104d0612d QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*,
QWidget*, QWidget**, QPointer<QWidget>&, bool) + 333

29  QtGui                             0x0000000104cb5985 qt_mac_handleMouseEvent(NSEvent*, QEvent::Type, Qt::MouseButton, QWidget*) +

741

30  com.apple.AppKit                  0x00007fff892586d6 -[NSWindow sendEvent:] + 7053

31  QtGui                             0x0000000104ca2587 -[QCocoaPanel sendEvent:] + 87

32  com.apple.AppKit                  0x00007fff89254744 -[NSApplication sendEvent:] + 5761

33  QtGui                             0x0000000104cafb24 -[QNSApplication sendEvent:] + 84

34  com.apple.AppKit                  0x00007fff8916a2fa -[NSApplication run] + 636

35  QtGui                             0x0000000104cba900 QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) +

1824

36  QtCore                            0x0000000104a49094 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 68

37  QtCore                            0x0000000104a49444 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 324

38  QtGui                             0x00000001051a8345 QDialog::exec() + 229

39  org.qgis.qgis                     0x000000010001d95a QgisApp::addVectorLayer() + 106

40  org.qgis.qgis                     0x0000000100249758 QgisApp::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) + 6028

41  QtCore                            0x0000000104a6222e QMetaObject::activate(QObject*, QMetaObject const*, int, void**) + 1566

42  QtGui                             0x0000000104cfb2c1 QAction::triggered(bool) + 49

43  QtGui                             0x0000000104cfc654 QAction::activate(QAction::ActionEvent) + 180

44  QtGui                             0x00000001050a52c9 QAbstractButtonPrivate::click() + 89

45  QtGui                             0x00000001050a5561 QAbstractButton::mouseReleaseEvent(QMouseEvent*) + 113

46  QtGui                             0x0000000105173452 QToolButton::mouseReleaseEvent(QMouseEvent*) + 18

47  QtGui                             0x0000000104d59651 QWidget::event(QEvent*) + 2369

48  QtGui                             0x00000001050a4358 QAbstractButton::event(QEvent*) + 40

49  QtGui                             0x000000010517585f QToolButton::event(QEvent*) + 63

50  QtGui                             0x0000000104d0193d QApplicationPrivate::notify_helper(QObject*, QEvent*) + 189

51  QtGui                             0x0000000104d082f0 QApplication::notify(QObject*, QEvent*) + 2384

52  org.qgis.qgis_core                0x0000000103da0762 QgsApplication::notify(QObject*, QEvent*) + 100

53  QtCore                            0x0000000104a4a17c QCoreApplication::notifyInternal(QObject*, QEvent*) + 124

54  QtGui                             0x0000000104d0612d QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*,

QWidget*, QWidget**, QPointer<QWidget>&, bool) + 333

55  QtGui                             0x0000000104cb5985 qt_mac_handleMouseEvent(NSEvent*, QEvent::Type, Qt::MouseButton, QWidget*) +

741

56  com.apple.AppKit                  0x00007fff892586d6 -[NSWindow sendEvent:] + 7053

57  QtGui                             0x0000000104caaa37 -[QCocoaWindow sendEvent:] + 87

58  com.apple.AppKit                  0x00007fff89254744 -[NSApplication sendEvent:] + 5761

59  QtGui                             0x0000000104cafb24 -[QNSApplication sendEvent:] + 84

60  com.apple.AppKit                  0x00007fff8916a2fa -[NSApplication run] + 636

61  QtGui                             0x0000000104cba900 QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) +

1824

62  QtCore                            0x0000000104a49094 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 68

63  QtCore                            0x0000000104a49444 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 324

64  QtCore                            0x0000000104a4bb2c QCoreApplication::exec() + 188

65  org.qgis.qgis                     0x000000010000996b main + 10523

66  org.qgis.qgis                     0x0000000100006c04 start + 52

Thread 1:: Dispatch queue: com.apple.libdispatch-manager

0   libsystem_kernel.dylib            0x00007fff8a52bd16 kevent + 10

1   libdispatch.dylib                 0x00007fff85523dea _dispatch_mgr_invoke + 883

2   libdispatch.dylib                 0x00007fff855239ee _dispatch_mgr_thread + 54

Thread 2:

0   libsystem_kernel.dylib            0x00007fff8a52b6d6 __workq_kernreturn + 10

1   libsystem_c.dylib                 0x00007fff8580ceec _pthread_workq_return + 25
2   libsystem_c.dylib                 0x00007fff8580ccb3 _pthread_wqthread + 412

3   libsystem_c.dylib                 0x00007fff857f7171 start_wqthread + 13

Thread 3:

0   libsystem_kernel.dylib            0x00007fff8a52b6d6 __workq_kernreturn + 10

1   libsystem_c.dylib                 0x00007fff8580ceec _pthread_workq_return + 25

2   libsystem_c.dylib                 0x00007fff8580ccb3 _pthread_wqthread + 412

3   libsystem_c.dylib                 0x00007fff857f7171 start_wqthread + 13

Thread 4:

0   libsystem_kernel.dylib            0x00007fff8a52bb4a getdirentries + 10

1   libsystem_c.dylib                 0x00007fff85897390 _readdir_unlocked + 97

2   libsystem_c.dylib                 0x00007fff858974ac readdir_r + 79

3   QtCore                            0x0000000104a21a84 QFileSystemIterator::advance(QFileSystemEntry&, QFileSystemMetaData&) + 68

4   QtCore                            0x00000001049c696c QDirIteratorPrivate::advance() + 796

5   QtCore                            0x00000001049c7399 QDirIteratorPrivate::QDirIteratorPrivate(QFileSystemEntry const&, QStringList const&,

QFlags<QDir::Filter>, QFlags<QDirIterator::IteratorFlag>, bool) + 1049

6   QtCore                            0x00000001049c7a81 QDirIterator::QDirIterator(QString const&, QFlags<QDir::Filter>,

QFlags<QDirIterator::IteratorFlag>) + 129

7   QtGui                             0x00000001051e588f QFileInfoGatherer::getFileInfos(QString const&, QStringList const&) + 991

8   QtGui                             0x00000001051e6533 QFileInfoGatherer::run() + 499

9   QtCore                            0x00000001049355ba QThreadPrivate::start(void*) + 298

10  libsystem_c.dylib                 0x00007fff8580a742 _pthread_start + 327

11  libsystem_c.dylib                 0x00007fff857f7181 thread_start + 13

Thread 5 Crashed:

0   libsystem_kernel.dylib            0x00007fff8a52b212 __pthread_kill + 10

1   libsystem_c.dylib                 0x00007fff8580baf4 pthread_kill + 90

2   libsystem_c.dylib                 0x00007fff8584fdce abort + 143

3   org.qgis.qgis                     0x0000000100007038 myMessageOutput(QtMsgType, char const*) + 353

4   QtCore                            0x0000000104929881 qt_message_output(QtMsgType, char const*) + 33

5   QtCore                            0x0000000104929ab7 qt_message(QtMsgType, char const*, __va_list_tag*) + 183

6   QtCore                            0x0000000104929c7a qFatal(char const*, ...) + 170

7   QtCore                            0x0000000104a7f926 QEventDispatcherUNIXPrivate::QEventDispatcherUNIXPrivate() + 438

8   QtCore                            0x0000000104a7f9bf QEventDispatcherUNIX::QEventDispatcherUNIX(QObject*) + 47

9   QtCore                            0x000000010493441a QThreadPrivate::createEventDispatcher(QThreadData*) + 42

10  QtCore                            0x0000000104935598 QThreadPrivate::start(void*) + 264

11  libsystem_c.dylib                 0x00007fff8580a742 _pthread_start + 327

12  libsystem_c.dylib                 0x00007fff857f7181 thread_start + 13

Thread 5 crashed with X86 Thread State (64-bit):

  rax: 0x0000000000000000  rbx: 0x0000000000000006  rcx: 0x000000010a043c28  rdx: 0x0000000000000000

  rdi: 0x0000000000001d67  rsi: 0x0000000000000006  rbp: 0x000000010a043c50  rsp: 0x000000010a043c28

   r8: 0x00007fff752b9278   r9: 0x000000010a0435b0  r10: 0x0000000020000000  r11: 0x0000000000000206

  r12: 0x0000000000000003  r13: 0x000000010a043d60  r14: 0x000000010a044000  r15: 0x0000000104935490

  rip: 0x00007fff8a52b212  rfl: 0x0000000000000206  cr2: 0x00007fff752b2fe8

Logical CPU: 0

History

#1 - 2012-12-30 09:46 AM - Giovanni Manghi

- Priority changed from Normal to High
#2 - 2013-07-14 11:23 AM - Daniel Vaz

- Status changed from Open to Closed

Please this issue may be OS related. Feel free to watch out #4013 that discusses the related issue.

Closing ticket.
